Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156682 - local variable used before set
Summary: local variable used before set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 11:56 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-01 08:43:24 UTC


Attachments (Terms of Use)

Description David Binderman 2005-05-03 11:56:09 UTC
Description of problem:

I just tried to compile package pilot-link-0.12.0-0.pre2.0 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

dlp.c(2681): remark #592: variable "res" is used before its value is set

The source code is

                        LOG((PI_DBG_DLP, PI_DBG_LVL_INFO,
                            "DLP ReadFeature FtrGet error 0x%8.8lX\n",
                            res));

Suggest initialise local variable res before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ivana Varekova 2006-12-01 08:43:24 UTC
Fixed in pilot-link-0.12.1-4.fc7.


Note You need to log in before you can comment on or make changes to this bug.